commit:     80f9a00443ba36bc99b4ace177d060d88bf77429
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 28 06:05:11 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Sep 28 06:05:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80f9a004

sys-fs/aufs4: Bump to latest aufs release

Package-Manager: portage-2.2.22
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sys-fs/aufs4/Manifest                   |   1 +
 sys-fs/aufs4/aufs4-0_pre20150928.ebuild | 164 ++++++++++++++++++++++++++++++++
 2 files changed, 165 insertions(+)

diff --git a/sys-fs/aufs4/Manifest b/sys-fs/aufs4/Manifest
index b8cb5aa..59823a5 100644
--- a/sys-fs/aufs4/Manifest
+++ b/sys-fs/aufs4/Manifest
@@ -6,3 +6,4 @@ DIST aufs4-standalone-0_pre20150525.tar.xz 523720 SHA256 
39abd01774e92eb717af89c
 DIST aufs4-standalone-0_pre20150608.tar.xz 532144 SHA256 
8aaa1f348de3b6cfa86f21539d0ec44e5d0d18c27f0645719e3140462522a4e7 SHA512 
1abd663b5f7997b93a865bf478c2900a3f69aff1d25149be683f8fd0f7362eaeccb7cdd9ce91ff08d1c4f2660414e03b7c9170fb7818c0839176b94c720d2896
 WHIRLPOOL 
36fa2691e8f5f27be41463c67df10d0e467892151e50df6f8396293c2572ad3d9229f00302bc47d816b48a08bdb64c92926381ba9d00c150dfb9f445dba8aeeb
 DIST aufs4-standalone-0_pre20150622.tar.xz 543932 SHA256 
28de7f6968c62a48b78f4b6c9234dd4b7b134632e1d4e7d50e87da9e05c06343 SHA512 
82f130ed3b43e2bfe42079c96dca70e868d7ce1df5511f68e7b85d343105d452c334fe7a15c1cd4e01450ca39dd527123c060b98b396d13c4250541ec464c2fc
 WHIRLPOOL 
e46a01857f2cbd52e6a3717bc5d076197443146fa9eab3b542aeb2698da652a45e8d40e1f9f50d9d4c3fc34d9a6da225712ac32f27f15eded4e8e3f23e113de8
 DIST aufs4-standalone-0_pre20150629.tar.xz 547808 SHA256 
7c1d9a815c73e8cb1c9f909eee8f6945486c8e8feeea9cae4b3865b6032f17e5 SHA512 
b7c734fb83515790b58a81b904acb286ef52124e0799dad1c7900dc8af3e0dc6f2875ba86805f1f39b8d04ce6660bf0c0307e4bbc1b58f2ca6171ead5e668a94
 WHIRLPOOL 
b39f2cdeffd20b636c4a3aa5ec8e87cd6b1c8bdfdab071d1cabf53e10629beebffc919abf5fc90915ec0c14f4b4c45a510bbd303765564348a0e2d1688ddf79b
+DIST aufs4-standalone-0_pre20150928.tar.xz 649696 SHA256 
3d8b5a31c7ebc26da0670927c778404f8820071dc559a8eef8bfd38a366d9a8e SHA512 
a45a94d67dbd785d732bc9c257a722cd11acccab4b318647af226cf0a593768d47fd107e07b6f5ca7907ccb1e920bdc74c7d4b12b715a5fd3be103f1b7bd8605
 WHIRLPOOL 
8fa2f64821b9aea7e4dddc75deaca45bf954f97becbfffe313a0caceb51b7d915f35610544964229c5dd0a80f28d44ea817724aad50d297e7acd6ce52209d8da

diff --git a/sys-fs/aufs4/aufs4-0_pre20150928.ebuild 
b/sys-fs/aufs4/aufs4-0_pre20150928.ebuild
new file mode 100644
index 0000000..e9d57d6
--- /dev/null
+++ b/sys-fs/aufs4/aufs4-0_pre20150928.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils flag-o-matic linux-info linux-mod multilib readme.gentoo 
toolchain-funcs
+
+AUFS_VERSION="${PV%%_p*}"
+# highest branch version
+PATCH_MAX_VER=2
+# highest supported version
+KERN_MAX_VER=3
+# lowest supported version
+KERN_MIN_VER=0
+
+DESCRIPTION="An entirely re-designed and re-implemented Unionfs"
+HOMEPAGE="http://aufs.sourceforge.net/";
+SRC_URI="https://dev.gentoo.org/~jlec/distfiles/aufs4-standalone-${PV}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc fuse hfs inotify kernel-patch nfs pax_kernel ramfs"
+
+DEPEND="
+       dev-util/patchutils
+       dev-vcs/git"
+RDEPEND="
+       sys-fs/aufs-util
+       !sys-fs/aufs
+       !sys-fs/aufs2
+       !sys-fs/aufs3"
+
+S="${WORKDIR}"/${PN}-standalone
+
+MODULE_NAMES="aufs(misc:${S})"
+
+pkg_setup() {
+       CONFIG_CHECK+=" !AUFS_FS"
+       use inotify && CONFIG_CHECK+=" ~FSNOTIFY"
+       use nfs && CONFIG_CHECK+=" EXPORTFS"
+       use fuse && CONFIG_CHECK+=" ~FUSE_FS"
+       use hfs && CONFIG_CHECK+=" ~HFSPLUS_FS"
+       use pax_kernel && CONFIG_CHECK+=" PAX" && ERROR_PAX="Please use 
hardened sources"
+
+       # this is needed so merging a binpkg ${PN} is possible w/out a kernel 
unpacked on the system
+       [ -n "$PKG_SETUP_HAS_BEEN_RAN" ] && return
+
+       get_version
+       kernel_is lt 4 ${KERN_MIN_VER} 0 && die "the kernel version isn't 
supported by upstream anymore. Please upgrade."
+       kernel_is gt 4 ${KERN_MAX_VER} 99 && die "kernel too new"
+
+       linux-mod_pkg_setup
+
+       if [[ "${KV_MINOR}" -gt "${PATCH_MAX_VER}" ]]; then
+               PATCH_BRANCH="x-rcN"
+       else
+               PATCH_BRANCH="${KV_MINOR}"
+       fi
+
+       case ${KV_EXTRA} in
+                       "")
+                               elog "It seems you are using vanilla-sources 
with aufs4"
+                               elog "Please use sys-kernel/aufs-sources with 
USE=vanilla"
+                               elog "This will save you the nasty reemerge of 
sys-fs/aufs4 on every kernel upgrade"
+                       ;;
+                       "-gentoo")
+                               elog "It seems you are using gentoo-sources 
with aufs4"
+                               elog "Please use sys-kernel/aufs-sources"
+                               elog "This will save you the nasty reemerge of 
sys-fs/aufs4 on every kernel upgrade"
+                       ;;
+       esac
+
+       pushd "${T}" &> /dev/null
+       unpack ${A}
+       cd ${PN}-standalone || die
+       local module_branch=origin/${PN}.${PATCH_BRANCH}
+       einfo "Using ${module_branch} as patch source"
+       git checkout -q -b local-${PN}.${PATCH_BRANCH} ${module_branch} || die
+       combinediff ${PN}-base.patch ${PN}-standalone.patch  > 
"${T}"/combined-1.patch
+       combinediff "${T}"/combined-1.patch ${PN}-mmap.patch > 
${PN}-standalone-base-mmap-combined.patch
+       if ! ( patch -p1 --dry-run --force -R -d ${KV_DIR} < 
${PN}-standalone-base-mmap-combined.patch > /dev/null ); then
+               if use kernel-patch; then
+                       cd ${KV_DIR}
+                       ewarn "Patching your kernel..."
+                       patch --no-backup-if-mismatch --force -p1 -R -d 
${KV_DIR} < "${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch 
>/dev/null
+                       epatch 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch
+                       ewarn "You need to compile your kernel with the applied 
patch"
+                       ewarn "to be able to load and use the aufs kernel 
module"
+               else
+                       eerror "You need to apply a patch to your kernel to 
compile and run the ${PN} module"
+                       eerror "Either enable the kernel-patch useflag to do it 
with this ebuild"
+                       eerror "or apply 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch by hand"
+                       die "missing kernel patch, please apply it first"
+               fi
+       fi
+       popd &> /dev/null
+       export PKG_SETUP_HAS_BEEN_RAN=1
+}
+
+set_config() {
+       for option in $*; do
+               grep -q "^CONFIG_AUFS_${option} =" config.mk || die "${option} 
is not a valid config option"
+               sed "/^CONFIG_AUFS_${option}/s:=:= y:g" -i config.mk || die
+       done
+}
+
+src_prepare() {
+       local module_branch=origin/${PN}.${PATCH_BRANCH}
+
+       einfo "Using for module creation branch ${module_branch}"
+       git checkout -q -b local-gentoo ${module_branch} || die
+
+       # All config options to off
+       sed "s:= y:=:g" -i config.mk || die
+
+       set_config RDU BRANCH_MAX_127 SBILIST
+
+       use debug && set_config DEBUG
+       use fuse && set_config BR_FUSE POLL
+       use hfs && set_config BR_HFSPLUS
+       use inotify && set_config HNOTIFY HFSNOTIFY
+       use nfs && set_config EXPORT
+       use nfs && ( use amd64 || use ppc64 ) && set_config INO_T_64
+       use ramfs && set_config BR_RAMFS
+
+       if use pax_kernel; then
+               epatch "${FILESDIR}"/pax-4.patch
+       fi
+
+       sed -i "s:aufs.ko usr/include/linux/aufs_type.h:aufs.ko:g" Makefile || 
die
+}
+
+src_compile() {
+       local ARCH=x86
+
+       emake \
+               CC=$(tc-getCC) \
+               LD=$(tc-getLD) \
+               LDFLAGS="$(raw-ldflags)" \
+               ARCH=$(tc-arch-kernel) \
+               CONFIG_AUFS_FS=m \
+               KDIR="${KV_OUT_DIR}"
+}
+
+src_install() {
+       linux-mod_src_install
+
+       insinto /usr/share/doc/${PF}
+
+       use doc && doins -r Documentation
+
+       use kernel-patch || doins 
"${T}"/${PN}-standalone/${PN}-standalone-base-mmap-combined.patch
+
+       dodoc Documentation/filesystems/aufs/README 
"${T}"/${PN}-standalone/{aufs4-loopback,vfs-ino,tmpfs-idr}.patch
+
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_pkg_postinst
+       linux-mod_pkg_postinst
+}

Reply via email to